Summary:        A library providing an interface to syscall filtering mechanism
Name:           libseccomp
Version:        2.5.4
Release:        7%{?dist}
License:        LGPLv2
URL:            https://github.com/seccomp/libseccomp
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch5000:	add-loongarch64-for-libseccomp.patch
Patch5001:	syscalls.csv-add-loongarch-support.patch
BuildRequires:  gcc, gperf, autoconf, automake

%description
The libseccomp library provides an easy to use, platform independent, interface
to the Linux Kernel's syscall filtering mechanism. The libseccomp API is designed
to abstract away the underlying BPF based syscall filter language and present a
more conventional function-call based filtering interface that should be familiar
to, and easily adopted by, application developers.

%package devel
Summary:        Development files for building %{name} applications
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
Obsoletes:      %{name}-static <= %{version}-%{release}

%description devel
The library mainly supports developing %{name} applications.

%prep
%autosetup -p1

%build
autoreconf
%configure
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/libseccomp.la

%check
%make_build check

%files
%license LICENSE
%doc CREDITS CHANGELOG README.md CONTRIBUTING.md
%{_libdir}/libseccomp.so.*

%files devel
%{_includedir}/seccomp.h
%{_includedir}/seccomp-syscalls.h
%{_libdir}/libseccomp.a
%{_libdir}/libseccomp.so
%{_libdir}/pkgconfig/libseccomp.pc
%{_bindir}/scmp_sys_resolver
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.4-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.4-6
- Rebuilt for loongarch release

* Tue Mar 19 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 2.5.4-5
- add loongarch64 for libseccomp

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jun 27 2022 TAO WU <tallwu@tencent.com> - 2.5.4-1
- Initial build.
